Index: src/export.c
==================================================================
--- src/export.c
+++ src/export.c
@@ -611,11 +611,12 @@
 
     bag_insert(&vers, ckinId);
     db_bind_int(&q2, ":rid", ckinId);
     db_step(&q2);
     db_reset(&q2);
-    if( zBranch==0 ) zBranch = "trunk";
+    /* fossil trunk is git master. */
+    if( zBranch==0 || fossil_strcmp(zBranch, "trunk") == 0 ) zBranch = "master";
     zMark = mark_name_from_rid(ckinId, &unused_mark);
     printf("commit refs/heads/");
     print_ref(zBranch);
     printf("\nmark %s\n", zMark);
     free(zMark);

